Update CHS Weightage

This method is used to update the weights of anomaly, compliance, missing patches, vulnerabilities and starts a CHS Scan.

Python SDK code

Install:

pip install secpod-saner-sdk

Call this endpoint:

from saner.cvem import CvemClient

client = CvemClient(
    api_key="<YOUR_API_KEY>",
    accountid="<YOUR_ACCOUNT_ID>",
    base_url="https://saner.secpod.com"
)

response=client.CyberHygiene.updateAccountScoreWeightage(
  account_name="Default",
  user_id="[email protected]",
  weightage={
    "Anomaly": 20,
    "Compliance": 20,
    "Missing_Patches": 20,
    "Risk_Prioritization": 20,
    "Vulnerability": 20
 }
)

print(response)
client.close()

Requires Python 3.9 or later.

Body Params
string
required

Name of the account for which CHS weightage will be updated.

string
required

User identifier requesting the weightage update.

weightage
object
required

Weight distribution to be applied for CHS calculation.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json